Package org.eclipse.handly.model.impl

# Interface ISourceConstructImpl

All Superinterfaces:
  `IElement`, `IElementImpl`, `ISourceConstruct`, `ISourceElement`, `ISourceElementImpl`

All Known Subinterfaces:
  `ISourceConstructImplExtension`, `ISourceConstructImplSupport`

All Known Implementing Classes:
  `SourceConstruct`

public interface ISourceConstructImpl extends ISourceElementImpl, ISourceConstruct
All `ISourceConstruct`s must implement this interface.

Restriction:
  This interface is not intended to be extended by clients.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IElement`
  `getParent_()`
  Returns the element directly containing this element.
  `default org.eclipse.core.resources.IResource`
  `getResource_()`
  Returns the innermost resource enclosing this element, or `null` if this element is not enclosed in a workspace resource.

  ### Methods inherited from interface org.eclipse.handly.model.IElement

  `equals, hashCode`

  ### Methods inherited from interface org.eclipse.handly.model.impl.IElementImpl

  `equalsAndSameParentChain_, exists_, fetchChildren_, fetchChildrenOfType_, getChildren_, getChildrenOfType_, getHandleMemento_, getLocationUri_, getModel_, getName_, getRoot_, toDisplayString_, toString_`

  ### Methods inherited from interface org.eclipse.handly.model.impl.ISourceElementImpl

  `getSourceElementAt_, getSourceElementInfo_`

- ## Method Details

  - ### getParent_

    IElement getParent_()
    Returns the element directly containing this element. This is a handle-only method.
    Specified by:
      `getParent_` in interface `IElementImpl`
    Returns:
      the parent element (never `null`)

  - ### getResource_

    default org.eclipse.core.resources.IResource getResource_()
    Returns the innermost resource enclosing this element, or `null` if this element is not enclosed in a workspace resource. This is a handle-only method.

    Note that it is safe to call this method and test the return value for `null` even when `org.eclipse.core.resources` bundle is not available.

    Since 1.3, this method is no longer abstract. The default implementation always returns `null`.

    This implementation returns `Elements.getResource(getParent_())`.

    Specified by:
      `getResource_` in interface `IElementImpl`
    Returns:
      the innermost resource enclosing this element, or `null` if this element is not enclosed in a workspace resource